Main Page Widgets Namespaces Book

# Gtk::FontSelectionDialog Class Reference
[Dialogs]

Inheritance diagram for Gtk::FontSelectionDialog:

[legend]
List of all members.

## Detailed Description

A dialog box for selecting fonts.

The Gtk::FontSelectionDialog widget is a dialog box for selecting a font.

## Public Member Functions

| FontSelectionDialog (const Glib::ustring& title)
| FontSelectionDialog ()
const Button* | get_apply_button () const
Button* | get_apply_button ()
const Button* | get_cancel_button () const
Button* | get_cancel_button ()
Glib::ustring | get_font_name () const
| Gets the currently-selected font name.
const FontSelection* | get_font_selection () const
FontSelection* | get_font_selection ()
const Button* | get_ok_button () const
Button* | get_ok_button ()
Glib::ustring | get_preview_text () const
const GtkFontSelectionDialog* | gobj () const
| Provides access to the underlying C GtkObject.
GtkFontSelectionDialog* | gobj ()
| Provides access to the underlying C GtkObject.
bool | set_font_name (const Glib::ustring& fontname)
void | set_preview_text (const Glib::ustring& fontname)
virtual | ~FontSelectionDialog ()

## Related Functions

(Note that these are not member functions.)
Gtk::FontSelectionDialog* | wrap (GtkFontSelectionDialog* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::FontSelectionDialog::~FontSelectionDialog | ( |  | ) | `[virtual]`

Gtk::FontSelectionDialog::FontSelectionDialog | ( |  | ) |

Gtk::FontSelectionDialog::FontSelectionDialog | ( | const Glib::ustring & | title | ) | `[explicit]`

## Member Function Documentation

const Button* Gtk::FontSelectionDialog::get_apply_button | ( |  | ) | const

Button* Gtk::FontSelectionDialog::get_apply_button | ( |  | ) |

const Button* Gtk::FontSelectionDialog::get_cancel_button | ( |  | ) | const

Button* Gtk::FontSelectionDialog::get_cancel_button | ( |  | ) |

Glib::ustring Gtk::FontSelectionDialog::get_font_name | ( |  | ) | const

Gets the currently-selected font name.

Note that this can be a different string than what you set with set_font_name(), as the font selection widget may normalize font names and thus return a string with a different structure. For example, "Helvetica Italic Bold 12" could be normalized to "Helvetica Bold Italic 12". Use pango_font_description_equal() if you want to compare two font descriptions.

Returns:
  A string with the name of the current font, or #`0` if no font is selected. You must free this string with Glib::free().

const FontSelection* Gtk::FontSelectionDialog::get_font_selection | ( |  | ) | const

FontSelection* Gtk::FontSelectionDialog::get_font_selection | ( |  | ) |

const Button* Gtk::FontSelectionDialog::get_ok_button | ( |  | ) | const

Button* Gtk::FontSelectionDialog::get_ok_button | ( |  | ) |

Glib::ustring Gtk::FontSelectionDialog::get_preview_text | ( |  | ) | const

const GtkFontSelectionDialog* Gtk::FontSelectionDialog::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

GtkFontSelectionDialog* Gtk::FontSelectionDialog::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

bool Gtk::FontSelectionDialog::set_font_name | ( | const Glib::ustring & | fontname | ) |

void Gtk::FontSelectionDialog::set_preview_text | ( | const Glib::ustring & | fontname | ) |

## Friends And Related Function Documentation

Gtk::FontSelectionDialog* wrap | ( | GtkFontSelectionDialog * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- fontselection.h